com.sun.mirror.declaration

## Interface ConstructorDeclaration

- All Superinterfaces:
    Declaration, ExecutableDeclaration, MemberDeclaration

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is included in `ExecutableElement`.

      @Deprecated
      public interface ConstructorDeclaration
      extends ExecutableDeclaration

  Represents a constructor of a class or interface.
  Since:
    1.5

- - ### Method Summary

    - ### Methods inherited from interface com.sun.mirror.declaration.ExecutableDeclaration

      `getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

    - ### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

      `getDeclaringType`

    - ### Methods inherited from interface com.sun.mirror.declaration.Declaration

      `accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Copyright © 2004, 2017, Oracle and/or its affiliates. All rights reserved.